org.springframework.data.relational.core.sql

## Interface DeleteBuilder.DeleteWhereAndOr

All Superinterfaces:
  DeleteBuilder.BuildDelete

Enclosing interface:
  DeleteBuilder

    public static interface DeleteBuilder.DeleteWhereAndOr
    extends DeleteBuilder.BuildDelete

Interface exposing `AND`/`OR` combinator methods for `WHERE` `Condition`s.

### Method Summary

All Methods Instance Methods Abstract Methods
`DeleteBuilder.DeleteWhereAndOr` `and(Condition condition)` Combine the previous `WHERE` `Condition` using `AND`.
`DeleteBuilder.DeleteWhereAndOr` `or(Condition condition)` Combine the previous `WHERE` `Condition` using `OR`.

### Methods inherited from interface org.springframework.data.relational.core.sql.DeleteBuilder.BuildDelete

`build`

### Method Detail

#### and

    DeleteBuilder.DeleteWhereAndOr and(Condition condition)

Combine the previous `WHERE` `Condition` using `AND`.

Parameters:
  `condition` - the condition, must not be null.
Returns:
  `this` builder.
See Also:
  `Condition.and(Condition)`

#### or

    DeleteBuilder.DeleteWhereAndOr or(Condition condition)

Combine the previous `WHERE` `Condition` using `OR`.

Parameters:
  `condition` - the condition, must not be null.
Returns:
  `this` builder.
See Also:
  `Condition.or(Condition)`